#include <bits/stdc++.h>
using namespace std;

int main(int argc, char** argv) {
	int n;
	cin>>n;
	double mat[n][2];
	double niz[n];
	int k=0;
	double max=0;
	for	(int j=0;j<n;j++)
	{
		for(int i=0; i<n;i++)
		{	
		if(k<n)
			{
			cin>>mat[k][0];
			cin>>mat[k][1];
			k++;
		}
		if(mat[i][1]>=mat[j][1])
		{
				niz[j]+=(mat[j][1]/100)*mat[i][0];
		}
		}
		if(niz[j]>max) max=niz[j];
	}
	cout<<max;
	
	
	return 0;
}